API Reference

Payables

Payables Controller_submit

POST/payables

Authorization

Access Token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/payables" \  -H "Content-Type: application/json" \  -d '{    "documentS3Key": "string"  }'
{
  "_id": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "name": "string",
  "user": {
    "organisationMemberRole": "string",
    "pendingMemberId": "string",
    "twoFactorRequired": true,
    "_id": "string",
    "citizenship": [
      {
        "_id": "string",
        "name": "string",
        "isoCode3166": "string",
        "isoCode3166_alpha3": "string",
        "continent": "string",
        "allowedPaymentRails": [
          {
            "_id": "string",
            "name": "string",
            "rail": "string",
            "display": "string",
            "requiredFields": [
              {}
            ],
            "priority": 0,
            "isEnabled": true,
            "providerRules": [
              {
                "providerId": "string",
                "currencyIsoCode": "string",
                "countryIsoCode3166": "string",
                "purposeCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                },
                "reasonCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                }
              }
            ]
          }
        ],
        "iban": true
      }
    ],
    "country": {
      "_id": "string",
      "name": "string",
      "isoCode3166": "string",
      "isoCode3166_alpha3": "string",
      "continent": "string",
      "allowedPaymentRails": [
        {
          "_id": "string",
          "name": "string",
          "rail": "string",
          "display": "string",
          "requiredFields": [
            {}
          ],
          "priority": 0,
          "isEnabled": true,
          "providerRules": [
            {
              "providerId": "string",
              "currencyIsoCode": "string",
              "countryIsoCode3166": "string",
              "purposeCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              },
              "reasonCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              }
            }
          ]
        }
      ],
      "iban": true
    },
    "email": "string",
    "password": "string",
    "firstName": "string",
    "lastName": "string",
    "dateOfBirth": "2019-08-24T14:15:22Z",
    "address": "string",
    "phoneNumber": "string",
    "telegram": "string",
    "isAccountSetup": true,
    "kycOnboardingInfo": "string",
    "kybOnboardingInfo": "string",
    "organisationRole": "string",
    "features": [
      "LOANS"
    ],
    "isActive": true,
    "agentActivityEmailsEnabled": true,
    "systemRole": "auditor",
    "idpSubject": "string",
    "idpProvider": "string"
  },
  "status": "DRAFT",
  "amount": "string",
  "reason": "string",
  "receiver": {
    "_id": "string",
    "firstName": "string",
    "middleName": "string",
    "lastName": "string",
    "legalName": "string",
    "address": {
      "addressLine1": "string",
      "postCode": "string",
      "city": "string",
      "state": "string"
    },
    "type": "COMPANY",
    "email": "string",
    "owner": {
      "organisationMemberRole": "string",
      "pendingMemberId": "string",
      "twoFactorRequired": true,
      "_id": "string",
      "citizenship": [
        {
          "_id": "string",
          "name": "string",
          "isoCode3166": "string",
          "isoCode3166_alpha3": "string",
          "continent": "string",
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "iban": true
        }
      ],
      "country": {
        "_id": "string",
        "name": "string",
        "isoCode3166": "string",
        "isoCode3166_alpha3": "string",
        "continent": "string",
        "allowedPaymentRails": [
          {
            "_id": "string",
            "name": "string",
            "rail": "string",
            "display": "string",
            "requiredFields": [
              {}
            ],
            "priority": 0,
            "isEnabled": true,
            "providerRules": [
              {
                "providerId": "string",
                "currencyIsoCode": "string",
                "countryIsoCode3166": "string",
                "purposeCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                },
                "reasonCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                }
              }
            ]
          }
        ],
        "iban": true
      },
      "email": "string",
      "password": "string",
      "firstName": "string",
      "lastName": "string",
      "dateOfBirth": "2019-08-24T14:15:22Z",
      "address": "string",
      "phoneNumber": "string",
      "telegram": "string",
      "isAccountSetup": true,
      "kycOnboardingInfo": "string",
      "kybOnboardingInfo": "string",
      "organisationRole": "string",
      "features": [
        "LOANS"
      ],
      "isActive": true,
      "agentActivityEmailsEnabled": true,
      "systemRole": "auditor",
      "idpSubject": "string",
      "idpProvider": "string"
    },
    "country": {
      "_id": "string",
      "name": "string",
      "isoCode3166": "string",
      "isoCode3166_alpha3": "string",
      "continent": "string",
      "allowedPaymentRails": [
        {
          "_id": "string",
          "name": "string",
          "rail": "string",
          "display": "string",
          "requiredFields": [
            {}
          ],
          "priority": 0,
          "isEnabled": true,
          "providerRules": [
            {
              "providerId": "string",
              "currencyIsoCode": "string",
              "countryIsoCode3166": "string",
              "purposeCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              },
              "reasonCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              }
            }
          ]
        }
      ],
      "iban": true
    },
    "bankAccounts": [
      {
        "_id": "string",
        "accountNumber": "string",
        "iban": "string",
        "bankCountry": {
          "_id": "string",
          "name": "string",
          "isoCode3166": "string",
          "isoCode3166_alpha3": "string",
          "continent": "string",
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "iban": true
        },
        "bicSwift": "string",
        "currency": {
          "_id": "string",
          "name": "string",
          "symbol": "string",
          "isoCode": "string",
          "logo": "string",
          "isHidden": true,
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ]
        },
        "receiver": {},
        "sortCode": "string",
        "softDeleted": true,
        "ibanSuiteValidation": {
          "verified": true,
          "verifiedAt": "2019-08-24T14:15:22Z",
          "errorMessage": "string",
          "errorCode": 0
        },
        "sepaSupport": {
          "sct": "string",
          "sdd": "string",
          "cor1": "string",
          "b2b": "string",
          "scc": "string",
          "sci": "string",
          "sciTips": "string"
        },
        "bankName": "string",
        "bankBranch": "string",
        "bankAddress": "string",
        "bankAddress2": "string",
        "bankCity": "string",
        "bankState": "string",
        "bankZip": "string",
        "bankPhone": "string",
        "bankFax": "string",
        "bankWebsite": "string",
        "bankEmail": "string",
        "bankCode": "string",
        "branchCode": "string",
        "routingNumber": "string",
        "intermediaryRoutingCode": "string",
        "intermediaryBankName": "string",
        "accountType": "CHECKING",
        "pixKey": "string",
        "pixKeyType": "EMAIL",
        "brazilRail": "TED",
        "wireSupport": {
          "ach": "string",
          "fed": "string"
        },
        "ifscCode": "string",
        "channel": "string",
        "paymentRails": [
          {
            "_id": "string",
            "name": "string",
            "rail": "string",
            "display": "string",
            "requiredFields": [
              {}
            ],
            "priority": 0,
            "isEnabled": true,
            "providerRules": [
              {
                "providerId": "string",
                "currencyIsoCode": "string",
                "countryIsoCode3166": "string",
                "purposeCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                },
                "reasonCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                }
              }
            ]
          }
        ],
        "mcpProvenance": {
          "source": "string",
          "clientId": "string",
          "grantId": "string",
          "toolName": "string",
          "idempotencyKey": "string",
          "stagedByUserId": "string",
          "stagedAt": "2019-08-24T14:15:22Z",
          "agentMemo": "string"
        }
      }
    ],
    "wallets": [
      {
        "_id": "string",
        "address": "string",
        "network": {
          "_id": "string",
          "name": "string",
          "type": "string",
          "chainId": 0,
          "rpcUrl": "string",
          "internalRpcUrl": "string",
          "wsRpcUrl": "string",
          "blockExplorerUrl": "string",
          "logo": "string",
          "isClientVisible": true,
          "isTestnet": true,
          "contracts": {},
          "nativeCurrency": {
            "_id": "string",
            "name": "string",
            "ERC20Address": [
              {}
            ],
            "isoCode": "string",
            "logo": "string",
            "tradableInFiat": true,
            "isHidden": true,
            "onrampEligible": true,
            "stable": true,
            "treasuryEligible": true
          },
          "features": [
            "LOANS"
          ],
          "minTransactionFee": 0,
          "complyAdvantageName": "string",
          "safeChainPrefix": "string",
          "walletAddress": "string",
          "ownershipMethods": [
            "PLATFORM_SIGNATURE"
          ]
        },
        "walletAnalysisStatus": "PENDING",
        "type": "EOA",
        "receiver": {},
        "softDeleted": true,
        "ownership": {
          "approvedAt": "2019-08-24T14:15:22Z",
          "message": "string",
          "signedMessage": "string",
          "status": "PENDING",
          "method": "PLATFORM_SIGNATURE",
          "evidence": "string",
          "verifiedBy": {
            "actorType": {},
            "userId": "string"
          },
          "reason": "string"
        }
      }
    ],
    "organisation": {
      "_id": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "dateOfBirth": "2019-08-24T14:15:22Z",
      "registrationNumber": "string",
      "country": {
        "_id": "string",
        "name": "string",
        "isoCode3166": "string",
        "isoCode3166_alpha3": "string",
        "continent": "string",
        "allowedPaymentRails": [
          {
            "_id": "string",
            "name": "string",
            "rail": "string",
            "display": "string",
            "requiredFields": [
              {}
            ],
            "priority": 0,
            "isEnabled": true,
            "providerRules": [
              {
                "providerId": "string",
                "currencyIsoCode": "string",
                "countryIsoCode3166": "string",
                "purposeCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                },
                "reasonCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                }
              }
            ]
          }
        ],
        "iban": true
      },
      "wallets": [
        {
          "_id": "string",
          "address": "string",
          "network": {
            "_id": "string",
            "name": "string",
            "type": "string",
            "chainId": 0,
            "rpcUrl": "string",
            "internalRpcUrl": "string",
            "wsRpcUrl": "string",
            "blockExplorerUrl": "string",
            "logo": "string",
            "isClientVisible": true,
            "isTestnet": true,
            "contracts": {},
            "nativeCurrency": {
              "_id": "string",
              "name": "string",
              "ERC20Address": [
                {}
              ],
              "isoCode": "string",
              "logo": "string",
              "tradableInFiat": true,
              "isHidden": true,
              "onrampEligible": true,
              "stable": true,
              "treasuryEligible": true
            },
            "features": [
              "LOANS"
            ],
            "minTransactionFee": 0,
            "complyAdvantageName": "string",
            "safeChainPrefix": "string",
            "walletAddress": "string",
            "ownershipMethods": [
              "PLATFORM_SIGNATURE"
            ]
          },
          "walletAnalysisStatus": "PENDING",
          "type": "EOA",
          "receiver": {},
          "softDeleted": true,
          "ownership": {
            "approvedAt": "2019-08-24T14:15:22Z",
            "message": "string",
            "signedMessage": "string",
            "status": "PENDING",
            "method": "PLATFORM_SIGNATURE",
            "evidence": "string",
            "verifiedBy": {
              "actorType": {},
              "userId": "string"
            },
            "reason": "string"
          }
        }
      ],
      "members": [
        {
          "_id": "string",
          "user": {
            "organisationMemberRole": "string",
            "pendingMemberId": "string",
            "twoFactorRequired": true,
            "_id": "string",
            "citizenship": [
              {
                "_id": "string",
                "name": "string",
                "isoCode3166": "string",
                "isoCode3166_alpha3": "string",
                "continent": "string",
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ],
                "iban": true
              }
            ],
            "country": {
              "_id": "string",
              "name": "string",
              "isoCode3166": "string",
              "isoCode3166_alpha3": "string",
              "continent": "string",
              "allowedPaymentRails": [
                {
                  "_id": "string",
                  "name": "string",
                  "rail": "string",
                  "display": "string",
                  "requiredFields": [
                    {}
                  ],
                  "priority": 0,
                  "isEnabled": true,
                  "providerRules": [
                    {
                      "providerId": "string",
                      "currencyIsoCode": "string",
                      "countryIsoCode3166": "string",
                      "purposeCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      },
                      "reasonCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      }
                    }
                  ]
                }
              ],
              "iban": true
            },
            "email": "string",
            "password": "string",
            "firstName": "string",
            "lastName": "string",
            "dateOfBirth": "2019-08-24T14:15:22Z",
            "address": "string",
            "phoneNumber": "string",
            "telegram": "string",
            "isAccountSetup": true,
            "kycOnboardingInfo": "string",
            "kybOnboardingInfo": "string",
            "organisationRole": "string",
            "features": [
              "LOANS"
            ],
            "isActive": true,
            "agentActivityEmailsEnabled": true,
            "systemRole": "auditor",
            "idpSubject": "string",
            "idpProvider": "string"
          },
          "organisation": {},
          "userTypes": [
            "authorized"
          ],
          "userType": "authorized",
          "role": "authorized",
          "levelName": {},
          "applicantId": "string",
          "onboardingStatus": "PENDING",
          "isActive": true,
          "kycRejectLabels": [
            "string"
          ],
          "kycRejectComment": "string",
          "kycReviewAnswer": {},
          "kycReviewedAt": "2019-08-24T14:15:22Z",
          "kycRejectType": {},
          "kycButtonIds": [
            "string"
          ],
          "sectionProgress": {},
          "registrySource": {
            "registryId": "string",
            "fetchedAt": "2019-08-24T14:15:22Z",
            "registrySystem": "string"
          },
          "onboardingSeededAt": "2019-08-24T14:15:22Z",
          "lastKycSlackNotifiedAt": "2019-08-24T14:15:22Z",
          "dateOfBirth": "2019-08-24T14:15:22Z",
          "nationality": "string",
          "position": "string",
          "phone": "string",
          "shareSize": 0,
          "inviteEmailSentAt": "2019-08-24T14:15:22Z"
        }
      ],
      "address": {
        "addressLine1": "string",
        "postCode": "string",
        "city": "string",
        "state": "string"
      },
      "organisationType": "Organisation",
      "onboardingStatus": "PENDING",
      "transactionValueLimit": "string",
      "minUSDPaymentAmount": "string",
      "isOnChainOrganisation": true,
      "payablesEmail": "string",
      "risk": "LOW",
      "complexStructure": true,
      "referenceCode": "string",
      "cumulativeAmount": "string",
      "features": [
        "LOANS"
      ],
      "customCommissions": [
        {
          "organisation": {},
          "tradingPair": {
            "_id": "string",
            "token": {
              "_id": "string",
              "name": "string",
              "ERC20Address": [
                {}
              ],
              "isoCode": "string",
              "logo": "string",
              "tradableInFiat": true,
              "isHidden": true,
              "onrampEligible": true,
              "stable": true,
              "treasuryEligible": true
            },
            "currency": {
              "_id": "string",
              "name": "string",
              "symbol": "string",
              "isoCode": "string",
              "logo": "string",
              "isHidden": true,
              "allowedPaymentRails": [
                {
                  "_id": "string",
                  "name": "string",
                  "rail": "string",
                  "display": "string",
                  "requiredFields": [
                    {}
                  ],
                  "priority": 0,
                  "isEnabled": true,
                  "providerRules": [
                    {
                      "providerId": "string",
                      "currencyIsoCode": "string",
                      "countryIsoCode3166": "string",
                      "purposeCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      },
                      "reasonCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      }
                    }
                  ]
                }
              ]
            },
            "pair": "string",
            "isHidden": true,
            "disableReason": "string",
            "liquidityProviders": [
              {
                "_id": "string",
                "createdAt": "2019-08-24T14:15:22Z",
                "updatedAt": "2019-08-24T14:15:22Z",
                "providerId": "string",
                "active": true,
                "requiresProviderInTradingPair": true,
                "telegramChatId": "string",
                "immediatePayout": true,
                "wallets": {},
                "minTradeAmount": 0,
                "supportedChainIds": [
                  0
                ]
              }
            ]
          },
          "value": 0,
          "isHidden": true
        }
      ],
      "senders": [
        {}
      ],
      "operationalStatus": "ONBOARDING",
      "assignedOfficer": {},
      "isActive": true,
      "defaultWallet": {
        "_id": "string",
        "address": "string",
        "network": {
          "_id": "string",
          "name": "string",
          "type": "string",
          "chainId": 0,
          "rpcUrl": "string",
          "internalRpcUrl": "string",
          "wsRpcUrl": "string",
          "blockExplorerUrl": "string",
          "logo": "string",
          "isClientVisible": true,
          "isTestnet": true,
          "contracts": {},
          "nativeCurrency": {
            "_id": "string",
            "name": "string",
            "ERC20Address": [
              {}
            ],
            "isoCode": "string",
            "logo": "string",
            "tradableInFiat": true,
            "isHidden": true,
            "onrampEligible": true,
            "stable": true,
            "treasuryEligible": true
          },
          "features": [
            "LOANS"
          ],
          "minTransactionFee": 0,
          "complyAdvantageName": "string",
          "safeChainPrefix": "string",
          "walletAddress": "string",
          "ownershipMethods": [
            "PLATFORM_SIGNATURE"
          ]
        },
        "walletAnalysisStatus": "PENDING",
        "type": "EOA",
        "receiver": {},
        "softDeleted": true,
        "ownership": {
          "approvedAt": "2019-08-24T14:15:22Z",
          "message": "string",
          "signedMessage": "string",
          "status": "PENDING",
          "method": "PLATFORM_SIGNATURE",
          "evidence": "string",
          "verifiedBy": {
            "actorType": {},
            "userId": "string"
          },
          "reason": "string"
        }
      },
      "defaultToken": {
        "_id": "string",
        "name": "string",
        "ERC20Address": [
          {}
        ],
        "isoCode": "string",
        "logo": "string",
        "tradableInFiat": true,
        "isHidden": true,
        "onrampEligible": true,
        "stable": true,
        "treasuryEligible": true
      },
      "amlaFileNo": 0,
      "pepStatus": "string",
      "terminationDate": "2019-08-24T14:15:22Z",
      "sectionProgress": {},
      "kycRejectLabels": [
        "string"
      ],
      "kycRejectComment": "string",
      "kycReviewAnswer": "string",
      "kycReviewedAt": "2019-08-24T14:15:22Z",
      "kycRejectType": {},
      "kycButtonIds": [
        "string"
      ],
      "onboardingSeededAt": "2019-08-24T14:15:22Z",
      "repEmailMismatch": true,
      "lastKycSlackNotifiedAt": "2019-08-24T14:15:22Z",
      "kycSlackThreadTs": "string",
      "mcpAccess": {}
    },
    "ownerCategory": "own",
    "liquidityProvider": {
      "_id": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "providerId": "string",
      "active": true,
      "requiresProviderInTradingPair": true,
      "telegramChatId": "string",
      "immediatePayout": true,
      "wallets": {},
      "minTradeAmount": 0,
      "supportedChainIds": [
        0
      ]
    },
    "isHidden": true,
    "isSelf": true,
    "isPrimary": true,
    "dateOfBirth": "2019-08-24T14:15:22Z",
    "taxId": "string",
    "phoneNumber": "string",
    "nationality": "string",
    "mcpProvenance": {
      "source": "string",
      "clientId": "string",
      "grantId": "string",
      "toolName": "string",
      "idempotencyKey": "string",
      "stagedByUserId": "string",
      "stagedAt": "2019-08-24T14:15:22Z",
      "agentMemo": "string"
    }
  },
  "bankAccount": {
    "_id": "string",
    "accountNumber": "string",
    "iban": "string",
    "bankCountry": {
      "_id": "string",
      "name": "string",
      "isoCode3166": "string",
      "isoCode3166_alpha3": "string",
      "continent": "string",
      "allowedPaymentRails": [
        {
          "_id": "string",
          "name": "string",
          "rail": "string",
          "display": "string",
          "requiredFields": [
            {}
          ],
          "priority": 0,
          "isEnabled": true,
          "providerRules": [
            {
              "providerId": "string",
              "currencyIsoCode": "string",
              "countryIsoCode3166": "string",
              "purposeCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              },
              "reasonCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              }
            }
          ]
        }
      ],
      "iban": true
    },
    "bicSwift": "string",
    "currency": {
      "_id": "string",
      "name": "string",
      "symbol": "string",
      "isoCode": "string",
      "logo": "string",
      "isHidden": true,
      "allowedPaymentRails": [
        {
          "_id": "string",
          "name": "string",
          "rail": "string",
          "display": "string",
          "requiredFields": [
            {}
          ],
          "priority": 0,
          "isEnabled": true,
          "providerRules": [
            {
              "providerId": "string",
              "currencyIsoCode": "string",
              "countryIsoCode3166": "string",
              "purposeCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              },
              "reasonCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              }
            }
          ]
        }
      ]
    },
    "receiver": {
      "_id": "string",
      "firstName": "string",
      "middleName": "string",
      "lastName": "string",
      "legalName": "string",
      "address": {
        "addressLine1": "string",
        "postCode": "string",
        "city": "string",
        "state": "string"
      },
      "type": "COMPANY",
      "email": "string",
      "owner": {
        "organisationMemberRole": "string",
        "pendingMemberId": "string",
        "twoFactorRequired": true,
        "_id": "string",
        "citizenship": [
          {
            "_id": "string",
            "name": "string",
            "isoCode3166": "string",
            "isoCode3166_alpha3": "string",
            "continent": "string",
            "allowedPaymentRails": [
              {
                "_id": "string",
                "name": "string",
                "rail": "string",
                "display": "string",
                "requiredFields": [
                  {}
                ],
                "priority": 0,
                "isEnabled": true,
                "providerRules": [
                  {
                    "providerId": "string",
                    "currencyIsoCode": "string",
                    "countryIsoCode3166": "string",
                    "purposeCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    },
                    "reasonCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    }
                  }
                ]
              }
            ],
            "iban": true
          }
        ],
        "country": {
          "_id": "string",
          "name": "string",
          "isoCode3166": "string",
          "isoCode3166_alpha3": "string",
          "continent": "string",
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "iban": true
        },
        "email": "string",
        "password": "string",
        "firstName": "string",
        "lastName": "string",
        "dateOfBirth": "2019-08-24T14:15:22Z",
        "address": "string",
        "phoneNumber": "string",
        "telegram": "string",
        "isAccountSetup": true,
        "kycOnboardingInfo": "string",
        "kybOnboardingInfo": "string",
        "organisationRole": "string",
        "features": [
          "LOANS"
        ],
        "isActive": true,
        "agentActivityEmailsEnabled": true,
        "systemRole": "auditor",
        "idpSubject": "string",
        "idpProvider": "string"
      },
      "country": {
        "_id": "string",
        "name": "string",
        "isoCode3166": "string",
        "isoCode3166_alpha3": "string",
        "continent": "string",
        "allowedPaymentRails": [
          {
            "_id": "string",
            "name": "string",
            "rail": "string",
            "display": "string",
            "requiredFields": [
              {}
            ],
            "priority": 0,
            "isEnabled": true,
            "providerRules": [
              {
                "providerId": "string",
                "currencyIsoCode": "string",
                "countryIsoCode3166": "string",
                "purposeCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                },
                "reasonCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                }
              }
            ]
          }
        ],
        "iban": true
      },
      "bankAccounts": [
        {}
      ],
      "wallets": [
        {
          "_id": "string",
          "address": "string",
          "network": {
            "_id": "string",
            "name": "string",
            "type": "string",
            "chainId": 0,
            "rpcUrl": "string",
            "internalRpcUrl": "string",
            "wsRpcUrl": "string",
            "blockExplorerUrl": "string",
            "logo": "string",
            "isClientVisible": true,
            "isTestnet": true,
            "contracts": {},
            "nativeCurrency": {
              "_id": "string",
              "name": "string",
              "ERC20Address": [
                {}
              ],
              "isoCode": "string",
              "logo": "string",
              "tradableInFiat": true,
              "isHidden": true,
              "onrampEligible": true,
              "stable": true,
              "treasuryEligible": true
            },
            "features": [
              "LOANS"
            ],
            "minTransactionFee": 0,
            "complyAdvantageName": "string",
            "safeChainPrefix": "string",
            "walletAddress": "string",
            "ownershipMethods": [
              "PLATFORM_SIGNATURE"
            ]
          },
          "walletAnalysisStatus": "PENDING",
          "type": "EOA",
          "receiver": {},
          "softDeleted": true,
          "ownership": {
            "approvedAt": "2019-08-24T14:15:22Z",
            "message": "string",
            "signedMessage": "string",
            "status": "PENDING",
            "method": "PLATFORM_SIGNATURE",
            "evidence": "string",
            "verifiedBy": {
              "actorType": {},
              "userId": "string"
            },
            "reason": "string"
          }
        }
      ],
      "organisation": {
        "_id": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "dateOfBirth": "2019-08-24T14:15:22Z",
        "registrationNumber": "string",
        "country": {
          "_id": "string",
          "name": "string",
          "isoCode3166": "string",
          "isoCode3166_alpha3": "string",
          "continent": "string",
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "iban": true
        },
        "wallets": [
          {
            "_id": "string",
            "address": "string",
            "network": {
              "_id": "string",
              "name": "string",
              "type": "string",
              "chainId": 0,
              "rpcUrl": "string",
              "internalRpcUrl": "string",
              "wsRpcUrl": "string",
              "blockExplorerUrl": "string",
              "logo": "string",
              "isClientVisible": true,
              "isTestnet": true,
              "contracts": {},
              "nativeCurrency": {
                "_id": "string",
                "name": "string",
                "ERC20Address": [
                  {}
                ],
                "isoCode": "string",
                "logo": "string",
                "tradableInFiat": true,
                "isHidden": true,
                "onrampEligible": true,
                "stable": true,
                "treasuryEligible": true
              },
              "features": [
                "LOANS"
              ],
              "minTransactionFee": 0,
              "complyAdvantageName": "string",
              "safeChainPrefix": "string",
              "walletAddress": "string",
              "ownershipMethods": [
                "PLATFORM_SIGNATURE"
              ]
            },
            "walletAnalysisStatus": "PENDING",
            "type": "EOA",
            "receiver": {},
            "softDeleted": true,
            "ownership": {
              "approvedAt": "2019-08-24T14:15:22Z",
              "message": "string",
              "signedMessage": "string",
              "status": "PENDING",
              "method": "PLATFORM_SIGNATURE",
              "evidence": "string",
              "verifiedBy": {
                "actorType": {},
                "userId": "string"
              },
              "reason": "string"
            }
          }
        ],
        "members": [
          {
            "_id": "string",
            "user": {
              "organisationMemberRole": "string",
              "pendingMemberId": "string",
              "twoFactorRequired": true,
              "_id": "string",
              "citizenship": [
                {
                  "_id": "string",
                  "name": "string",
                  "isoCode3166": "string",
                  "isoCode3166_alpha3": "string",
                  "continent": "string",
                  "allowedPaymentRails": [
                    {
                      "_id": "string",
                      "name": "string",
                      "rail": "string",
                      "display": "string",
                      "requiredFields": [
                        {}
                      ],
                      "priority": 0,
                      "isEnabled": true,
                      "providerRules": [
                        {
                          "providerId": "string",
                          "currencyIsoCode": "string",
                          "countryIsoCode3166": "string",
                          "purposeCode": {
                            "required": true,
                            "source": {},
                            "codes": [
                              null
                            ],
                            "helpUrl": "string"
                          },
                          "reasonCode": {
                            "required": true,
                            "source": {},
                            "codes": [
                              null
                            ],
                            "helpUrl": "string"
                          }
                        }
                      ]
                    }
                  ],
                  "iban": true
                }
              ],
              "country": {
                "_id": "string",
                "name": "string",
                "isoCode3166": "string",
                "isoCode3166_alpha3": "string",
                "continent": "string",
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ],
                "iban": true
              },
              "email": "string",
              "password": "string",
              "firstName": "string",
              "lastName": "string",
              "dateOfBirth": "2019-08-24T14:15:22Z",
              "address": "string",
              "phoneNumber": "string",
              "telegram": "string",
              "isAccountSetup": true,
              "kycOnboardingInfo": "string",
              "kybOnboardingInfo": "string",
              "organisationRole": "string",
              "features": [
                "LOANS"
              ],
              "isActive": true,
              "agentActivityEmailsEnabled": true,
              "systemRole": "auditor",
              "idpSubject": "string",
              "idpProvider": "string"
            },
            "organisation": {},
            "userTypes": [
              "authorized"
            ],
            "userType": "authorized",
            "role": "authorized",
            "levelName": {},
            "applicantId": "string",
            "onboardingStatus": "PENDING",
            "isActive": true,
            "kycRejectLabels": [
              "string"
            ],
            "kycRejectComment": "string",
            "kycReviewAnswer": {},
            "kycReviewedAt": "2019-08-24T14:15:22Z",
            "kycRejectType": {},
            "kycButtonIds": [
              "string"
            ],
            "sectionProgress": {},
            "registrySource": {
              "registryId": "string",
              "fetchedAt": "2019-08-24T14:15:22Z",
              "registrySystem": "string"
            },
            "onboardingSeededAt": "2019-08-24T14:15:22Z",
            "lastKycSlackNotifiedAt": "2019-08-24T14:15:22Z",
            "dateOfBirth": "2019-08-24T14:15:22Z",
            "nationality": "string",
            "position": "string",
            "phone": "string",
            "shareSize": 0,
            "inviteEmailSentAt": "2019-08-24T14:15:22Z"
          }
        ],
        "address": {
          "addressLine1": "string",
          "postCode": "string",
          "city": "string",
          "state": "string"
        },
        "organisationType": "Organisation",
        "onboardingStatus": "PENDING",
        "transactionValueLimit": "string",
        "minUSDPaymentAmount": "string",
        "isOnChainOrganisation": true,
        "payablesEmail": "string",
        "risk": "LOW",
        "complexStructure": true,
        "referenceCode": "string",
        "cumulativeAmount": "string",
        "features": [
          "LOANS"
        ],
        "customCommissions": [
          {
            "organisation": {},
            "tradingPair": {
              "_id": "string",
              "token": {
                "_id": "string",
                "name": "string",
                "ERC20Address": [
                  {}
                ],
                "isoCode": "string",
                "logo": "string",
                "tradableInFiat": true,
                "isHidden": true,
                "onrampEligible": true,
                "stable": true,
                "treasuryEligible": true
              },
              "currency": {
                "_id": "string",
                "name": "string",
                "symbol": "string",
                "isoCode": "string",
                "logo": "string",
                "isHidden": true,
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ]
              },
              "pair": "string",
              "isHidden": true,
              "disableReason": "string",
              "liquidityProviders": [
                {
                  "_id": "string",
                  "createdAt": "2019-08-24T14:15:22Z",
                  "updatedAt": "2019-08-24T14:15:22Z",
                  "providerId": "string",
                  "active": true,
                  "requiresProviderInTradingPair": true,
                  "telegramChatId": "string",
                  "immediatePayout": true,
                  "wallets": {},
                  "minTradeAmount": 0,
                  "supportedChainIds": [
                    0
                  ]
                }
              ]
            },
            "value": 0,
            "isHidden": true
          }
        ],
        "senders": [
          {}
        ],
        "operationalStatus": "ONBOARDING",
        "assignedOfficer": {},
        "isActive": true,
        "defaultWallet": {
          "_id": "string",
          "address": "string",
          "network": {
            "_id": "string",
            "name": "string",
            "type": "string",
            "chainId": 0,
            "rpcUrl": "string",
            "internalRpcUrl": "string",
            "wsRpcUrl": "string",
            "blockExplorerUrl": "string",
            "logo": "string",
            "isClientVisible": true,
            "isTestnet": true,
            "contracts": {},
            "nativeCurrency": {
              "_id": "string",
              "name": "string",
              "ERC20Address": [
                {}
              ],
              "isoCode": "string",
              "logo": "string",
              "tradableInFiat": true,
              "isHidden": true,
              "onrampEligible": true,
              "stable": true,
              "treasuryEligible": true
            },
            "features": [
              "LOANS"
            ],
            "minTransactionFee": 0,
            "complyAdvantageName": "string",
            "safeChainPrefix": "string",
            "walletAddress": "string",
            "ownershipMethods": [
              "PLATFORM_SIGNATURE"
            ]
          },
          "walletAnalysisStatus": "PENDING",
          "type": "EOA",
          "receiver": {},
          "softDeleted": true,
          "ownership": {
            "approvedAt": "2019-08-24T14:15:22Z",
            "message": "string",
            "signedMessage": "string",
            "status": "PENDING",
            "method": "PLATFORM_SIGNATURE",
            "evidence": "string",
            "verifiedBy": {
              "actorType": {},
              "userId": "string"
            },
            "reason": "string"
          }
        },
        "defaultToken": {
          "_id": "string",
          "name": "string",
          "ERC20Address": [
            {}
          ],
          "isoCode": "string",
          "logo": "string",
          "tradableInFiat": true,
          "isHidden": true,
          "onrampEligible": true,
          "stable": true,
          "treasuryEligible": true
        },
        "amlaFileNo": 0,
        "pepStatus": "string",
        "terminationDate": "2019-08-24T14:15:22Z",
        "sectionProgress": {},
        "kycRejectLabels": [
          "string"
        ],
        "kycRejectComment": "string",
        "kycReviewAnswer": "string",
        "kycReviewedAt": "2019-08-24T14:15:22Z",
        "kycRejectType": {},
        "kycButtonIds": [
          "string"
        ],
        "onboardingSeededAt": "2019-08-24T14:15:22Z",
        "repEmailMismatch": true,
        "lastKycSlackNotifiedAt": "2019-08-24T14:15:22Z",
        "kycSlackThreadTs": "string",
        "mcpAccess": {}
      },
      "ownerCategory": "own",
      "liquidityProvider": {
        "_id": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "providerId": "string",
        "active": true,
        "requiresProviderInTradingPair": true,
        "telegramChatId": "string",
        "immediatePayout": true,
        "wallets": {},
        "minTradeAmount": 0,
        "supportedChainIds": [
          0
        ]
      },
      "isHidden": true,
      "isSelf": true,
      "isPrimary": true,
      "dateOfBirth": "2019-08-24T14:15:22Z",
      "taxId": "string",
      "phoneNumber": "string",
      "nationality": "string",
      "mcpProvenance": {
        "source": "string",
        "clientId": "string",
        "grantId": "string",
        "toolName": "string",
        "idempotencyKey": "string",
        "stagedByUserId": "string",
        "stagedAt": "2019-08-24T14:15:22Z",
        "agentMemo": "string"
      }
    },
    "sortCode": "string",
    "softDeleted": true,
    "ibanSuiteValidation": {
      "verified": true,
      "verifiedAt": "2019-08-24T14:15:22Z",
      "errorMessage": "string",
      "errorCode": 0
    },
    "sepaSupport": {
      "sct": "string",
      "sdd": "string",
      "cor1": "string",
      "b2b": "string",
      "scc": "string",
      "sci": "string",
      "sciTips": "string"
    },
    "bankName": "string",
    "bankBranch": "string",
    "bankAddress": "string",
    "bankAddress2": "string",
    "bankCity": "string",
    "bankState": "string",
    "bankZip": "string",
    "bankPhone": "string",
    "bankFax": "string",
    "bankWebsite": "string",
    "bankEmail": "string",
    "bankCode": "string",
    "branchCode": "string",
    "routingNumber": "string",
    "intermediaryRoutingCode": "string",
    "intermediaryBankName": "string",
    "accountType": "CHECKING",
    "pixKey": "string",
    "pixKeyType": "EMAIL",
    "brazilRail": "TED",
    "wireSupport": {
      "ach": "string",
      "fed": "string"
    },
    "ifscCode": "string",
    "channel": "string",
    "paymentRails": [
      {
        "_id": "string",
        "name": "string",
        "rail": "string",
        "display": "string",
        "requiredFields": [
          {}
        ],
        "priority": 0,
        "isEnabled": true,
        "providerRules": [
          {
            "providerId": "string",
            "currencyIsoCode": "string",
            "countryIsoCode3166": "string",
            "purposeCode": {
              "required": true,
              "source": {},
              "codes": [
                "string"
              ],
              "helpUrl": "string"
            },
            "reasonCode": {
              "required": true,
              "source": {},
              "codes": [
                "string"
              ],
              "helpUrl": "string"
            }
          }
        ]
      }
    ],
    "mcpProvenance": {
      "source": "string",
      "clientId": "string",
      "grantId": "string",
      "toolName": "string",
      "idempotencyKey": "string",
      "stagedByUserId": "string",
      "stagedAt": "2019-08-24T14:15:22Z",
      "agentMemo": "string"
    }
  },
  "wallet": {
    "_id": "string",
    "address": "string",
    "network": {
      "_id": "string",
      "name": "string",
      "type": "string",
      "chainId": 0,
      "rpcUrl": "string",
      "internalRpcUrl": "string",
      "wsRpcUrl": "string",
      "blockExplorerUrl": "string",
      "logo": "string",
      "isClientVisible": true,
      "isTestnet": true,
      "contracts": {},
      "nativeCurrency": {
        "_id": "string",
        "name": "string",
        "ERC20Address": [
          {}
        ],
        "isoCode": "string",
        "logo": "string",
        "tradableInFiat": true,
        "isHidden": true,
        "onrampEligible": true,
        "stable": true,
        "treasuryEligible": true
      },
      "features": [
        "LOANS"
      ],
      "minTransactionFee": 0,
      "complyAdvantageName": "string",
      "safeChainPrefix": "string",
      "walletAddress": "string",
      "ownershipMethods": [
        "PLATFORM_SIGNATURE"
      ]
    },
    "walletAnalysisStatus": "PENDING",
    "type": "EOA",
    "receiver": {
      "_id": "string",
      "firstName": "string",
      "middleName": "string",
      "lastName": "string",
      "legalName": "string",
      "address": {
        "addressLine1": "string",
        "postCode": "string",
        "city": "string",
        "state": "string"
      },
      "type": "COMPANY",
      "email": "string",
      "owner": {
        "organisationMemberRole": "string",
        "pendingMemberId": "string",
        "twoFactorRequired": true,
        "_id": "string",
        "citizenship": [
          {
            "_id": "string",
            "name": "string",
            "isoCode3166": "string",
            "isoCode3166_alpha3": "string",
            "continent": "string",
            "allowedPaymentRails": [
              {
                "_id": "string",
                "name": "string",
                "rail": "string",
                "display": "string",
                "requiredFields": [
                  {}
                ],
                "priority": 0,
                "isEnabled": true,
                "providerRules": [
                  {
                    "providerId": "string",
                    "currencyIsoCode": "string",
                    "countryIsoCode3166": "string",
                    "purposeCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    },
                    "reasonCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    }
                  }
                ]
              }
            ],
            "iban": true
          }
        ],
        "country": {
          "_id": "string",
          "name": "string",
          "isoCode3166": "string",
          "isoCode3166_alpha3": "string",
          "continent": "string",
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "iban": true
        },
        "email": "string",
        "password": "string",
        "firstName": "string",
        "lastName": "string",
        "dateOfBirth": "2019-08-24T14:15:22Z",
        "address": "string",
        "phoneNumber": "string",
        "telegram": "string",
        "isAccountSetup": true,
        "kycOnboardingInfo": "string",
        "kybOnboardingInfo": "string",
        "organisationRole": "string",
        "features": [
          "LOANS"
        ],
        "isActive": true,
        "agentActivityEmailsEnabled": true,
        "systemRole": "auditor",
        "idpSubject": "string",
        "idpProvider": "string"
      },
      "country": {
        "_id": "string",
        "name": "string",
        "isoCode3166": "string",
        "isoCode3166_alpha3": "string",
        "continent": "string",
        "allowedPaymentRails": [
          {
            "_id": "string",
            "name": "string",
            "rail": "string",
            "display": "string",
            "requiredFields": [
              {}
            ],
            "priority": 0,
            "isEnabled": true,
            "providerRules": [
              {
                "providerId": "string",
                "currencyIsoCode": "string",
                "countryIsoCode3166": "string",
                "purposeCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                },
                "reasonCode": {
                  "required": true,
                  "source": {},
                  "codes": [
                    "string"
                  ],
                  "helpUrl": "string"
                }
              }
            ]
          }
        ],
        "iban": true
      },
      "bankAccounts": [
        {
          "_id": "string",
          "accountNumber": "string",
          "iban": "string",
          "bankCountry": {
            "_id": "string",
            "name": "string",
            "isoCode3166": "string",
            "isoCode3166_alpha3": "string",
            "continent": "string",
            "allowedPaymentRails": [
              {
                "_id": "string",
                "name": "string",
                "rail": "string",
                "display": "string",
                "requiredFields": [
                  {}
                ],
                "priority": 0,
                "isEnabled": true,
                "providerRules": [
                  {
                    "providerId": "string",
                    "currencyIsoCode": "string",
                    "countryIsoCode3166": "string",
                    "purposeCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    },
                    "reasonCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    }
                  }
                ]
              }
            ],
            "iban": true
          },
          "bicSwift": "string",
          "currency": {
            "_id": "string",
            "name": "string",
            "symbol": "string",
            "isoCode": "string",
            "logo": "string",
            "isHidden": true,
            "allowedPaymentRails": [
              {
                "_id": "string",
                "name": "string",
                "rail": "string",
                "display": "string",
                "requiredFields": [
                  {}
                ],
                "priority": 0,
                "isEnabled": true,
                "providerRules": [
                  {
                    "providerId": "string",
                    "currencyIsoCode": "string",
                    "countryIsoCode3166": "string",
                    "purposeCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    },
                    "reasonCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    }
                  }
                ]
              }
            ]
          },
          "receiver": {},
          "sortCode": "string",
          "softDeleted": true,
          "ibanSuiteValidation": {
            "verified": true,
            "verifiedAt": "2019-08-24T14:15:22Z",
            "errorMessage": "string",
            "errorCode": 0
          },
          "sepaSupport": {
            "sct": "string",
            "sdd": "string",
            "cor1": "string",
            "b2b": "string",
            "scc": "string",
            "sci": "string",
            "sciTips": "string"
          },
          "bankName": "string",
          "bankBranch": "string",
          "bankAddress": "string",
          "bankAddress2": "string",
          "bankCity": "string",
          "bankState": "string",
          "bankZip": "string",
          "bankPhone": "string",
          "bankFax": "string",
          "bankWebsite": "string",
          "bankEmail": "string",
          "bankCode": "string",
          "branchCode": "string",
          "routingNumber": "string",
          "intermediaryRoutingCode": "string",
          "intermediaryBankName": "string",
          "accountType": "CHECKING",
          "pixKey": "string",
          "pixKeyType": "EMAIL",
          "brazilRail": "TED",
          "wireSupport": {
            "ach": "string",
            "fed": "string"
          },
          "ifscCode": "string",
          "channel": "string",
          "paymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "mcpProvenance": {
            "source": "string",
            "clientId": "string",
            "grantId": "string",
            "toolName": "string",
            "idempotencyKey": "string",
            "stagedByUserId": "string",
            "stagedAt": "2019-08-24T14:15:22Z",
            "agentMemo": "string"
          }
        }
      ],
      "wallets": [
        {}
      ],
      "organisation": {
        "_id": "string",
        "name": "string",
        "firstName": "string",
        "lastName": "string",
        "dateOfBirth": "2019-08-24T14:15:22Z",
        "registrationNumber": "string",
        "country": {
          "_id": "string",
          "name": "string",
          "isoCode3166": "string",
          "isoCode3166_alpha3": "string",
          "continent": "string",
          "allowedPaymentRails": [
            {
              "_id": "string",
              "name": "string",
              "rail": "string",
              "display": "string",
              "requiredFields": [
                {}
              ],
              "priority": 0,
              "isEnabled": true,
              "providerRules": [
                {
                  "providerId": "string",
                  "currencyIsoCode": "string",
                  "countryIsoCode3166": "string",
                  "purposeCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  },
                  "reasonCode": {
                    "required": true,
                    "source": {},
                    "codes": [
                      "string"
                    ],
                    "helpUrl": "string"
                  }
                }
              ]
            }
          ],
          "iban": true
        },
        "wallets": [
          {}
        ],
        "members": [
          {
            "_id": "string",
            "user": {
              "organisationMemberRole": "string",
              "pendingMemberId": "string",
              "twoFactorRequired": true,
              "_id": "string",
              "citizenship": [
                {
                  "_id": "string",
                  "name": "string",
                  "isoCode3166": "string",
                  "isoCode3166_alpha3": "string",
                  "continent": "string",
                  "allowedPaymentRails": [
                    {
                      "_id": "string",
                      "name": "string",
                      "rail": "string",
                      "display": "string",
                      "requiredFields": [
                        {}
                      ],
                      "priority": 0,
                      "isEnabled": true,
                      "providerRules": [
                        {
                          "providerId": "string",
                          "currencyIsoCode": "string",
                          "countryIsoCode3166": "string",
                          "purposeCode": {
                            "required": true,
                            "source": {},
                            "codes": [
                              null
                            ],
                            "helpUrl": "string"
                          },
                          "reasonCode": {
                            "required": true,
                            "source": {},
                            "codes": [
                              null
                            ],
                            "helpUrl": "string"
                          }
                        }
                      ]
                    }
                  ],
                  "iban": true
                }
              ],
              "country": {
                "_id": "string",
                "name": "string",
                "isoCode3166": "string",
                "isoCode3166_alpha3": "string",
                "continent": "string",
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ],
                "iban": true
              },
              "email": "string",
              "password": "string",
              "firstName": "string",
              "lastName": "string",
              "dateOfBirth": "2019-08-24T14:15:22Z",
              "address": "string",
              "phoneNumber": "string",
              "telegram": "string",
              "isAccountSetup": true,
              "kycOnboardingInfo": "string",
              "kybOnboardingInfo": "string",
              "organisationRole": "string",
              "features": [
                "LOANS"
              ],
              "isActive": true,
              "agentActivityEmailsEnabled": true,
              "systemRole": "auditor",
              "idpSubject": "string",
              "idpProvider": "string"
            },
            "organisation": {},
            "userTypes": [
              "authorized"
            ],
            "userType": "authorized",
            "role": "authorized",
            "levelName": {},
            "applicantId": "string",
            "onboardingStatus": "PENDING",
            "isActive": true,
            "kycRejectLabels": [
              "string"
            ],
            "kycRejectComment": "string",
            "kycReviewAnswer": {},
            "kycReviewedAt": "2019-08-24T14:15:22Z",
            "kycRejectType": {},
            "kycButtonIds": [
              "string"
            ],
            "sectionProgress": {},
            "registrySource": {
              "registryId": "string",
              "fetchedAt": "2019-08-24T14:15:22Z",
              "registrySystem": "string"
            },
            "onboardingSeededAt": "2019-08-24T14:15:22Z",
            "lastKycSlackNotifiedAt": "2019-08-24T14:15:22Z",
            "dateOfBirth": "2019-08-24T14:15:22Z",
            "nationality": "string",
            "position": "string",
            "phone": "string",
            "shareSize": 0,
            "inviteEmailSentAt": "2019-08-24T14:15:22Z"
          }
        ],
        "address": {
          "addressLine1": "string",
          "postCode": "string",
          "city": "string",
          "state": "string"
        },
        "organisationType": "Organisation",
        "onboardingStatus": "PENDING",
        "transactionValueLimit": "string",
        "minUSDPaymentAmount": "string",
        "isOnChainOrganisation": true,
        "payablesEmail": "string",
        "risk": "LOW",
        "complexStructure": true,
        "referenceCode": "string",
        "cumulativeAmount": "string",
        "features": [
          "LOANS"
        ],
        "customCommissions": [
          {
            "organisation": {},
            "tradingPair": {
              "_id": "string",
              "token": {
                "_id": "string",
                "name": "string",
                "ERC20Address": [
                  {}
                ],
                "isoCode": "string",
                "logo": "string",
                "tradableInFiat": true,
                "isHidden": true,
                "onrampEligible": true,
                "stable": true,
                "treasuryEligible": true
              },
              "currency": {
                "_id": "string",
                "name": "string",
                "symbol": "string",
                "isoCode": "string",
                "logo": "string",
                "isHidden": true,
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ]
              },
              "pair": "string",
              "isHidden": true,
              "disableReason": "string",
              "liquidityProviders": [
                {
                  "_id": "string",
                  "createdAt": "2019-08-24T14:15:22Z",
                  "updatedAt": "2019-08-24T14:15:22Z",
                  "providerId": "string",
                  "active": true,
                  "requiresProviderInTradingPair": true,
                  "telegramChatId": "string",
                  "immediatePayout": true,
                  "wallets": {},
                  "minTradeAmount": 0,
                  "supportedChainIds": [
                    0
                  ]
                }
              ]
            },
            "value": 0,
            "isHidden": true
          }
        ],
        "senders": [
          {}
        ],
        "operationalStatus": "ONBOARDING",
        "assignedOfficer": {},
        "isActive": true,
        "defaultWallet": {},
        "defaultToken": {
          "_id": "string",
          "name": "string",
          "ERC20Address": [
            {}
          ],
          "isoCode": "string",
          "logo": "string",
          "tradableInFiat": true,
          "isHidden": true,
          "onrampEligible": true,
          "stable": true,
          "treasuryEligible": true
        },
        "amlaFileNo": 0,
        "pepStatus": "string",
        "terminationDate": "2019-08-24T14:15:22Z",
        "sectionProgress": {},
        "kycRejectLabels": [
          "string"
        ],
        "kycRejectComment": "string",
        "kycReviewAnswer": "string",
        "kycReviewedAt": "2019-08-24T14:15:22Z",
        "kycRejectType": {},
        "kycButtonIds": [
          "string"
        ],
        "onboardingSeededAt": "2019-08-24T14:15:22Z",
        "repEmailMismatch": true,
        "lastKycSlackNotifiedAt": "2019-08-24T14:15:22Z",
        "kycSlackThreadTs": "string",
        "mcpAccess": {}
      },
      "ownerCategory": "own",
      "liquidityProvider": {
        "_id": "string",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z",
        "providerId": "string",
        "active": true,
        "requiresProviderInTradingPair": true,
        "telegramChatId": "string",
        "immediatePayout": true,
        "wallets": {},
        "minTradeAmount": 0,
        "supportedChainIds": [
          0
        ]
      },
      "isHidden": true,
      "isSelf": true,
      "isPrimary": true,
      "dateOfBirth": "2019-08-24T14:15:22Z",
      "taxId": "string",
      "phoneNumber": "string",
      "nationality": "string",
      "mcpProvenance": {
        "source": "string",
        "clientId": "string",
        "grantId": "string",
        "toolName": "string",
        "idempotencyKey": "string",
        "stagedByUserId": "string",
        "stagedAt": "2019-08-24T14:15:22Z",
        "agentMemo": "string"
      }
    },
    "softDeleted": true,
    "ownership": {
      "approvedAt": "2019-08-24T14:15:22Z",
      "message": "string",
      "signedMessage": "string",
      "status": "PENDING",
      "method": "PLATFORM_SIGNATURE",
      "evidence": "string",
      "verifiedBy": {
        "actorType": {},
        "userId": "string"
      },
      "reason": "string"
    }
  },
  "token": {
    "_id": "string",
    "name": "string",
    "ERC20Address": [
      {}
    ],
    "isoCode": "string",
    "logo": "string",
    "tradableInFiat": true,
    "isHidden": true,
    "onrampEligible": true,
    "stable": true,
    "treasuryEligible": true
  },
  "type": "FIAT",
  "documentS3Key": "string",
  "rejectReason": "string",
  "payableInfo": {},
  "organisation": {
    "_id": "string",
    "name": "string",
    "firstName": "string",
    "lastName": "string",
    "dateOfBirth": "2019-08-24T14:15:22Z",
    "registrationNumber": "string",
    "country": {
      "_id": "string",
      "name": "string",
      "isoCode3166": "string",
      "isoCode3166_alpha3": "string",
      "continent": "string",
      "allowedPaymentRails": [
        {
          "_id": "string",
          "name": "string",
          "rail": "string",
          "display": "string",
          "requiredFields": [
            {}
          ],
          "priority": 0,
          "isEnabled": true,
          "providerRules": [
            {
              "providerId": "string",
              "currencyIsoCode": "string",
              "countryIsoCode3166": "string",
              "purposeCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              },
              "reasonCode": {
                "required": true,
                "source": {},
                "codes": [
                  "string"
                ],
                "helpUrl": "string"
              }
            }
          ]
        }
      ],
      "iban": true
    },
    "wallets": [
      {
        "_id": "string",
        "address": "string",
        "network": {
          "_id": "string",
          "name": "string",
          "type": "string",
          "chainId": 0,
          "rpcUrl": "string",
          "internalRpcUrl": "string",
          "wsRpcUrl": "string",
          "blockExplorerUrl": "string",
          "logo": "string",
          "isClientVisible": true,
          "isTestnet": true,
          "contracts": {},
          "nativeCurrency": {
            "_id": "string",
            "name": "string",
            "ERC20Address": [
              {}
            ],
            "isoCode": "string",
            "logo": "string",
            "tradableInFiat": true,
            "isHidden": true,
            "onrampEligible": true,
            "stable": true,
            "treasuryEligible": true
          },
          "features": [
            "LOANS"
          ],
          "minTransactionFee": 0,
          "complyAdvantageName": "string",
          "safeChainPrefix": "string",
          "walletAddress": "string",
          "ownershipMethods": [
            "PLATFORM_SIGNATURE"
          ]
        },
        "walletAnalysisStatus": "PENDING",
        "type": "EOA",
        "receiver": {
          "_id": "string",
          "firstName": "string",
          "middleName": "string",
          "lastName": "string",
          "legalName": "string",
          "address": {
            "addressLine1": "string",
            "postCode": "string",
            "city": "string",
            "state": "string"
          },
          "type": "COMPANY",
          "email": "string",
          "owner": {
            "organisationMemberRole": "string",
            "pendingMemberId": "string",
            "twoFactorRequired": true,
            "_id": "string",
            "citizenship": [
              {
                "_id": "string",
                "name": "string",
                "isoCode3166": "string",
                "isoCode3166_alpha3": "string",
                "continent": "string",
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ],
                "iban": true
              }
            ],
            "country": {
              "_id": "string",
              "name": "string",
              "isoCode3166": "string",
              "isoCode3166_alpha3": "string",
              "continent": "string",
              "allowedPaymentRails": [
                {
                  "_id": "string",
                  "name": "string",
                  "rail": "string",
                  "display": "string",
                  "requiredFields": [
                    {}
                  ],
                  "priority": 0,
                  "isEnabled": true,
                  "providerRules": [
                    {
                      "providerId": "string",
                      "currencyIsoCode": "string",
                      "countryIsoCode3166": "string",
                      "purposeCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      },
                      "reasonCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      }
                    }
                  ]
                }
              ],
              "iban": true
            },
            "email": "string",
            "password": "string",
            "firstName": "string",
            "lastName": "string",
            "dateOfBirth": "2019-08-24T14:15:22Z",
            "address": "string",
            "phoneNumber": "string",
            "telegram": "string",
            "isAccountSetup": true,
            "kycOnboardingInfo": "string",
            "kybOnboardingInfo": "string",
            "organisationRole": "string",
            "features": [
              "LOANS"
            ],
            "isActive": true,
            "agentActivityEmailsEnabled": true,
            "systemRole": "auditor",
            "idpSubject": "string",
            "idpProvider": "string"
          },
          "country": {
            "_id": "string",
            "name": "string",
            "isoCode3166": "string",
            "isoCode3166_alpha3": "string",
            "continent": "string",
            "allowedPaymentRails": [
              {
                "_id": "string",
                "name": "string",
                "rail": "string",
                "display": "string",
                "requiredFields": [
                  {}
                ],
                "priority": 0,
                "isEnabled": true,
                "providerRules": [
                  {
                    "providerId": "string",
                    "currencyIsoCode": "string",
                    "countryIsoCode3166": "string",
                    "purposeCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    },
                    "reasonCode": {
                      "required": true,
                      "source": {},
                      "codes": [
                        "string"
                      ],
                      "helpUrl": "string"
                    }
                  }
                ]
              }
            ],
            "iban": true
          },
          "bankAccounts": [
            {
              "_id": "string",
              "accountNumber": "string",
              "iban": "string",
              "bankCountry": {
                "_id": "string",
                "name": "string",
                "isoCode3166": "string",
                "isoCode3166_alpha3": "string",
                "continent": "string",
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ],
                "iban": true
              },
              "bicSwift": "string",
              "currency": {
                "_id": "string",
                "name": "string",
                "symbol": "string",
                "isoCode": "string",
                "logo": "string",
                "isHidden": true,
                "allowedPaymentRails": [
                  {
                    "_id": "string",
                    "name": "string",
                    "rail": "string",
                    "display": "string",
                    "requiredFields": [
                      {}
                    ],
                    "priority": 0,
                    "isEnabled": true,
                    "providerRules": [
                      {
                        "providerId": "string",
                        "currencyIsoCode": "string",
                        "countryIsoCode3166": "string",
                        "purposeCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        },
                        "reasonCode": {
                          "required": true,
                          "source": {},
                          "codes": [
                            "string"
                          ],
                          "helpUrl": "string"
                        }
                      }
                    ]
                  }
                ]
              },
              "receiver": {},
              "sortCode": "string",
              "softDeleted": true,
              "ibanSuiteValidation": {
                "verified": true,
                "verifiedAt": "2019-08-24T14:15:22Z",
                "errorMessage": "string",
                "errorCode": 0
              },
              "sepaSupport": {
                "sct": "string",
                "sdd": "string",
                "cor1": "string",
                "b2b": "string",
                "scc": "string",
                "sci": "string",
                "sciTips": "string"
              },
              "bankName": "string",
              "bankBranch": "string",
              "bankAddress": "string",
              "bankAddress2": "string",
              "bankCity": "string",
              "bankState": "string",
              "bankZip": "string",
              "bankPhone": "string",
              "bankFax": "string",
              "bankWebsite": "string",
              "bankEmail": "string",
              "bankCode": "string",
              "branchCode": "string",
              "routingNumber": "string",
              "intermediaryRoutingCode": "string",
              "intermediaryBankName": "string",
              "accountType": "CHECKING",
              "pixKey": "string",
              "pixKeyType": "EMAIL",
              "brazilRail": "TED",
              "wireSupport": {
                "ach": "string",
                "fed": "string"
              },
              "ifscCode": "string",
              "channel": "string",
              "paymentRails": [
                {
                  "_id": "string",
                  "name": "string",
                  "rail": "string",
                  "display": "string",
                  "requiredFields": [
                    {}
                  ],
                  "priority": 0,
                  "isEnabled": true,
                  "providerRules": [
                    {
                      "providerId": "string",
                      "currencyIsoCode": "string",
                      "countryIsoCode3166": "string",
                      "purposeCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      },
                      "reasonCode": {
                        "required": true,
                        "source": {},
                        "codes": [
                          "string"
                        ],
                        "helpUrl": "string"
                      }
                    }
                  ]
                }
              ],
              "mcpProvenance": {
                "source": "string",
                "clientId": "string",
                "grantId": "string",
                "toolName": "string",
                "idempotencyKey": "string",
                "stagedByUserId": "string",
                "stagedAt": "2019-08-24T14:15:22Z",
                "agentMemo": "string"
              }
            }
          ],
          "wallets": [
            {}
          ],
          "organisation": {},
          "ownerCategory": "own",
          "liquidityProvider": {
            "_id": "string",
            "createdAt": "2019-08-24T14:15:22Z",
            "updatedAt": "2019-08-24T14:15:22Z",
            "providerId": "string",
            "active": true,
            "requiresProviderInTradingPair": true,
            "telegramChatId": "string",
            "immediatePayout": true,
            "wallets": {},
            "minTradeAmount": 0,
            "supportedChainIds": [
              0
            ]
          },
          "isHidden": true,
          "isSelf": true,
          "isPrimary": true,
          "dateOfBirth": "2019-08-24T14:15:22Z",
          "taxId": "string",
          "phoneNumber": "string",
          "nationality": "string",
          "mcpProvenance": {
            "source": "string",
            "clientId": "string",
            "grantId": "string",
            "toolName": "string",
            "idempotencyKey": "string",
            "stagedByUserId": "string",
            "stagedAt": "2019-08-24T14:15:22Z",
            "agentMemo": "string"
          }
        },
        "softDeleted": true,
        "ownership": {
          "approvedAt": "2019-08-24T14:15:22Z",
          "message": "string",
          "signedMessage": "string",
          "status": "PENDING",
          "method": "PLATFORM_SIGNATURE",
          "evidence": "string",
          "verifiedBy": {
            "actorType": {},
            "userId": "string"
          },
          "reason": "string"
        }
      }
    ],
    "members": [
      {
        "_id": "string",
        "user": {
          "organisationMemberRole": "string",
          "pendingMemberId": "string",
          "twoFactorRequired": true,
          "_id": "string",
          "citizenship": [
            {
              "_id": "string",
              "name": "string",
              "isoCode3166": "string",
              "isoCode3166_alpha3": "string",
              "continent": "string",
[...]
